Get workflows
GET/v1/workflows
Retrieve a list of all workflows in the organization.
To learn more about workflows, see the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "isDeleted",
"required": false,
"description": "Include deleted workflows in the response."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 403
- 422
- 500
Default Response
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"workflows": {
"type": "array",
"items": {
"type": "object",
"properties": {
"uid": {
"type": "string",
"description": "Globally unique workflow identifier."
},
"identifier": {
"type": "string",
"maxLength": 60,
"pattern": "^[\\p{L}0-9@_:-]+$",
"description": "Unique identifier for the workflow."
},
"workflowVersionIdentifier": {
"type": "string",
"pattern": "^wfv_[a-zA-Z0-9]{16}$"
},
"title": {
"description": "Human-readable title for the workflow.",
"nullable": true,
"type": "string",
"maxLength": 100
},
"icon": {
"description": "Icon identifier for the workflow.",
"nullable": true,
"type": "string"
},
"description": {
"description": "Detailed description of the workflow's purpose.",
"nullable": true,
"type": "string",
"maxLength": 1100
},
"category": {
"description": "Category used to group this workflow.",
"nullable": true,
"type": "string",
"maxLength": 40
}
},
"required": [
"uid",
"identifier",
"workflowVersionIdentifier"
],
"additionalProperties": false
}
}
},
"required": [
"ok",
"workflows"
],
"additionalProperties": false
}
}
}
},
"403": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"422": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
}
}
}